Advisory Details

October 7th, 2015

Solarwinds Log and Event Manager Command Injection Remote Code Execution Vulnerability

ZDI-15-461
ZDI-CAN-2730

CVE ID CVE-2015-7839
CVSS SCORE 7.5, (AV:N/AC:L/Au:N/C:P/I:P/A:P)
AFFECTED VENDORS SolarWinds
AFFECTED PRODUCTS Log and Event Manager
TREND MICRO CUSTOMER PROTECTION Trend Micro TippingPoint IPS customers are protected against this vulnerability by Digital Vaccine protection filter ID 19491. For further product information on the TippingPoint IPS: http://www.tippingpoint.com
VULNERABILITY DETAILS


This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Solarwinds Log and Event Manager. Authentication is not required to exploit this vulnerability.

The specific flaw exists within requests to /services/messagebroker/nonsecurestreamingamf utilizing the traceroute functionality. A command injection vulnerability exists which allows an attacker to execute arbitrary commands on all managed computers using the LEM agent connected to the Log and Event Manager. A remote attacker can exploit this vulnerability to execute arbitrary code under the context of the agent application.

ADDITIONAL DETAILS SolarWinds has issued an update to correct this vulnerability. More details can be found at:
http://www.solarwinds.com/documentation/lem/docs/releasenotes/releasenotes.htm


Resolved in LEM 6.2 release


DISCLOSURE TIMELINE
  • 2015-02-04 - Vulnerability reported to vendor
  • 2015-10-07 - Coordinated public release of advisory
CREDIT Matt Molinyawe - HP Zero Day Initiative
BACK TO ADVISORIES